#include<bits/stdc++.h>
using namespace std;
int main()
{
    freopen("bai4_15.inp","r",stdin);
    freopen("bai4_15.out","w",stdout);
    string s;
    cin>>s;
    int64_t dem=0;
    for(int64_t i=0;i<s.length();i++)
    {
        if('0'<=s[i] && '9'>=s[i])
        {
            dem++;
        }
    }
    cout<<dem;
}
